# FXS Voice Configuration

The FXS Voice Configuration dialog box provides information about the Foreign Exchange Station voice configuration.

## Navigation

Do one of the following:

> Right-click on an FXS port, then select Configuration > FXS Voice Configuration from the popup menu.

> Right-click on an 8FXS or 16FXS port, then select Configure from the popup menu. The VoicePort List dialog box appears. Click Details. Select FXS Voice Configuration from the Category list.

The following information appears:

> Voice Configuration

> Connection Number (cvIfCfgConnectionNumber)

> VAD Enable (cvIfCfgNoiseRegEnable)

> Nonlinear Processing (cvIfCfgNonLinearProcEnable)

> Music OnHold Threshold(dBm) (cvIfCfgMusicOnHoldThreshold)

> Gain Inserted (dB) (cvIfCfgInGain)

> Attenuation Inserted (dB) (cvIfCfgOutAttn)

> Regional Tone (cvIfCfgRegionalTone)

> Echo Cancel Enable (cvIfCfgEchoCancelEnable)

> Echo Cancel Coverage (cvIfCfgEchoCancelCoverage)

> Dial Timers

> Initial Digit Time Out (seconds) (cvIfCfgInitialDigitTimeOut)

> Inter Digit Time Out (seconds) (cvIfCfgInterDigitTimeOut)

> Outgoing DTMF Digit Duration Timing (cvaIfFXSTimingDigitDuration)

> Outgoing DTMF Interdigit Timing (cvaIfFXSTimingInterDigitDuration)

## Related Topics

FXS Interface Configuration

### Connection Number (cvIfCfgConnectionNumber)

The full E.164 phone number used to establish connection with trunking mode or PLAR mode.

If the cvIfCfgConnectionMode is “normal,” then this object will be a zero-length string.

### VAD Enable (cvIfCfgNoiseRegEnable)

Indicates whether the background noise should be played to fill silence gaps if VAD is activated.

Default is enabled.

### Nonlinear Processing (cvIfCfgNonLinearProcEnable)

Indicates whether the Nonlinear Processing is enabled for the interface. The default value of this object is enabled.

### Music OnHold Threshold (dBm) (cvIfCfgMusicOnHoldThreshold)

The Music On Hold Threshold for the interface.

The value range is -70 to -30 decibels per milliwatt (dBm). Default is -38 dBm.

### Gain Inserted (dB) (cvIfCfgInGain)

The amount of gain inserted at the receiver side of the interface. The input gain settings only define a gain/loss relative to the 0-dB setting. The absolute loss at the 0-dB setting could be implementation dependent based on the desired network loss plan. The default value of this object is 0 dB.

The value range is -6 to 14.

### Attenuation Inserted (dB) (cvIfCfgOutAttn)

The amount of attenuation inserted at the transmit side of the interface. The output attenuation settings only define a loss relative to the 0 dB setting. The absolute loss at the 0 dB setting could be implementation dependent based on the desired network loss plan. The default value of this object is 0 dB.

The value range is -6 to 14.

### Regional Tone (cvIfCfgRegionalTone)

The country specific setting for the tone, ring, and cadence parameters to be used by the interface.

Shows the two letter ISO-3166 country code.

Values are:

| Code | Country |  | Code | Country |  | Code | Country
| AR | Argentina |  | IN | India |  | PE | Peru
| AU | Australia |  | ID | Indonesia |  | PH | Philippines
| AT | Austria |  | IE | Ireland |  | PL | Poland
| BE | Belgium |  | IL | Israel |  | PT | Portugal
| BR | Brazil |  | IT | Italy |  | RU | Russian Federation
| CA | Canada |  | JP | Japan |  | SA | Saudi Arabia
| CN | China |  | JO | Jordan |  | SG | Singapore
| CO | Columbia |  | KE | Kenya |  | SK | Slovakia
| CY | Cyprus |  | KR | Korea Republic |  | SI | Slovenia
| CZ | Czech Republic |  | LB | Lebanon |  | ZA | South Africa
| DK | Denmark |  | LU | Luxembourg |  | ES | Spain
| EG | Egypt |  | MY | Malaysia |  | SE | Sweden
| FI | Finland |  | MX | Mexico |  | CH | Switzerland
| FR | France |  | NP | Nepal |  | TW | Taiwan
| DE | Germany |  | NL | Netherlands |  | TH | Thailand
| GH | Ghana |  | NZ | New Zealand |  | TR | Turkey
| GR | Greece |  | NG | Nigeria |  | GB | United Kingdom
| HK | Hong Kong |  | NO | Norway |  | US | United States
| HU | Hungary |  | PK | Pakistan |  | VE | Venezuela
| IS | Iceland |  | PA | Panama |  | ZW | Zimbabwe

### Echo Cancel Enable (cvIfCfgEchoCancelEnable)

Specifies whether the Echo Cancellation is enabled for the interface. The default value of this object is enabled.

### Echo Cancel Coverage (cvIfCfgEchoCancelCoverage)

The Echo Canceller coverage for the interface. This object is valid if the cvIfCfgEchoCancelEnable object is “true.”

Values are:

echoCanceller8ms | 8 milliseconds
echoCanceller16ms | 16 milliseconds
echoCanceller24ms | 24 milliseconds
echoCanceller32ms | 32 milliseconds

Default is echoCanceller16ms.

### Initial Digit Time Out (seconds) (cvIfCfgInitialDigitTimeOut)

The initial digit timeout that indicates the amount of time the managed system waits for an initial input digit from the caller. The timer is activated when the call is accepted and is deactivated upon digit input. If the timer expires, the caller is signaled through the appropriate tone, and the call is abandoned. The value of zero disables the timer. The default value of this object is 10 seconds.

The value range is 0 to 120.

### Inter Digit Time Out (seconds) (cvIfCfgInterDigitTimeOut)

The inter-digit timeout that indicates the amount of time the managed system waits for a subsequent input digit from the caller. The timer is started upon receipt of an input digit and restarted as each digit is received until the destination address is identified. If the timer expires and no destination address is identified, the caller is signaled through the appropriate tone and the call is abandoned. The value of zero disables the timer.

The value range is 0 to 120. Default is 10 seconds.

### Outgoing DTMF Digit Duration Timing (cvaIfFXSTimingDigitDuration)

Outgoing DTMF digit duration in milliseconds.

The value range is 50 to 500. Default is 100 milliseconds.

### Outgoing DTMF Interdigit Timing (cvaIfFXSTimingInterDigitDuration)

Outgoing DTMF inter-digit duration in milliseconds.

The value range is 50 to 500. Default is 100 milliseconds.